Bug 9344 - "%triggerun nox -- emacs-X11" doesn't work
"%triggerun nox -- emacs-X11" doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-11 09:33 EST by Matthew Campbell
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-16 18:20:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Campbell 2000-02-11 09:33:50 EST
When the emacs-X11 package is removed, a trigger in the emacs-nox package is supposed to put the symbolic link from /usr/bin/emacs to /usr/bin/emacs-nox back in place.  However, this trigger runs *before* emacs-X11 is removed, so the symlink is replaced, and then /usr/bin/emacs is removed, cancelling what the trigger just did.

The solution is to make the trigger run *after* removing emacs-X11, by replacing "%triggerun" with "%triggerpostun".
Comment 1 Cristian Gafton 2000-02-16 18:20:59 EST
Fixed in the devel tree.

Note You need to log in before you can comment on or make changes to this bug.